# TdApi.SearchChatsOnServer (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SearchChatsOnServer

Package it.tdlight.jni

# Class TdApi.SearchChatsOnServer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SearchChatsOnServer

Enclosing class:
  TdApi

    public static class TdApi.SearchChatsOnServer
    extends TdApi.Function

Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `limit` | The maximum number of chats to be returned.
`String` | `query` | Query to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SearchChatsOnServer()` | Searches for the specified query in the title and username of already known chats via request to the server.
`SearchChatsOnServer​(DataInput input)` |
`SearchChatsOnServer​(String query, int limit)` | Searches for the specified query in the title and username of already known chats via request to the server.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of chats to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SearchChatsOnServer

public SearchChatsOnServer()
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

### SearchChatsOnServer

public SearchChatsOnServer​(String query, int limit)
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

Parameters:
  `query` - String Query to search for.
  `limit` - int The maximum number of chats to be returned.

### SearchChatsOnServer

public SearchChatsOnServer​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`